Panda3D

Loading...
Searching...
No Matches
Functions | Variables
register_type.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "register_type.h"`

Go to the source code of this file.

## Functions
void | init_system_type_handles ()

## Variables
TypeHandle | bool_p_type_handle
TypeHandle | bool_type_handle
TypeHandle | char_p_type_handle
TypeHandle | char_type_handle
TypeHandle | double_p_type_handle
TypeHandle | double_type_handle
TypeHandle | float_p_type_handle
TypeHandle | float_type_handle
TypeHandle | int_p_type_handle
TypeHandle | int_type_handle
TypeHandle | long_p_type_handle
TypeHandle | long_type_handle
TypeHandle | ov_set_type_handle
TypeHandle | pdeque_type_handle
TypeHandle | plist_type_handle
TypeHandle | pmap_type_handle
TypeHandle | pset_type_handle
TypeHandle | pvector_type_handle
TypeHandle | short_p_type_handle
TypeHandle | short_type_handle
TypeHandle | string_type_handle
TypeHandle | uchar_type_handle
TypeHandle | uint_type_handle
TypeHandle | ushort_type_handle
TypeHandle | void_p_type_handle
TypeHandle | wstring_type_handle

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2001-08-06

Definition in file register_type.cxx.

## Function Documentation

## ◆ init_system_type_handles()

void init_system_type_handles | ( |  | ) |

Definition at line 46 of file register_type.cxx.

## Variable Documentation

## ◆ bool_p_type_handle

TypeHandle bool_p_type_handle

Definition at line 34 of file register_type.cxx.

## ◆ bool_type_handle

TypeHandle bool_type_handle

Definition at line 24 of file register_type.cxx.

## ◆ char_p_type_handle

TypeHandle char_p_type_handle

Definition at line 33 of file register_type.cxx.

## ◆ char_type_handle

TypeHandle char_type_handle

Definition at line 22 of file register_type.cxx.

## ◆ double_p_type_handle

TypeHandle double_p_type_handle

Definition at line 35 of file register_type.cxx.

## ◆ double_type_handle

TypeHandle double_type_handle

Definition at line 25 of file register_type.cxx.

## ◆ float_p_type_handle

TypeHandle float_p_type_handle

Definition at line 36 of file register_type.cxx.

## ◆ float_type_handle

TypeHandle float_type_handle

Definition at line 26 of file register_type.cxx.

## ◆ int_p_type_handle

TypeHandle int_p_type_handle

Definition at line 31 of file register_type.cxx.

## ◆ int_type_handle

TypeHandle int_type_handle

Definition at line 18 of file register_type.cxx.

## ◆ long_p_type_handle

TypeHandle long_p_type_handle

Definition at line 30 of file register_type.cxx.

## ◆ long_type_handle

TypeHandle long_type_handle

Definition at line 17 of file register_type.cxx.

## ◆ ov_set_type_handle

TypeHandle ov_set_type_handle

Definition at line 40 of file register_type.cxx.

## ◆ pdeque_type_handle

TypeHandle pdeque_type_handle

Definition at line 41 of file register_type.cxx.

## ◆ plist_type_handle

TypeHandle plist_type_handle

Definition at line 42 of file register_type.cxx.

## ◆ pmap_type_handle

TypeHandle pmap_type_handle

Definition at line 43 of file register_type.cxx.

## ◆ pset_type_handle

TypeHandle pset_type_handle

Definition at line 44 of file register_type.cxx.

## ◆ pvector_type_handle

TypeHandle pvector_type_handle

Definition at line 39 of file register_type.cxx.

## ◆ short_p_type_handle

TypeHandle short_p_type_handle

Definition at line 32 of file register_type.cxx.

## ◆ short_type_handle

TypeHandle short_type_handle

Definition at line 20 of file register_type.cxx.

## ◆ string_type_handle

TypeHandle string_type_handle

Definition at line 27 of file register_type.cxx.

## ◆ uchar_type_handle

TypeHandle uchar_type_handle

Definition at line 23 of file register_type.cxx.

## ◆ uint_type_handle

TypeHandle uint_type_handle

Definition at line 19 of file register_type.cxx.

## ◆ ushort_type_handle

TypeHandle ushort_type_handle

Definition at line 21 of file register_type.cxx.

## ◆ void_p_type_handle

TypeHandle void_p_type_handle

Definition at line 37 of file register_type.cxx.

## ◆ wstring_type_handle

TypeHandle wstring_type_handle

Definition at line 28 of file register_type.cxx.